<ion-grid
  *transloco="let t"
  class="full-width-grid ion-no-padding flex-list-subsections"
>
  <ion-col *ngIf="!isConnected">
    <lib-connectivity-error-handling-card
      [show]="true"
      [title]="t('feature_events.connectivity-error.title_settings')"
    >
    </lib-connectivity-error-handling-card>
  </ion-col>
  @if (isConnected) {
    <lib-custom-settings-list
      [isLoading]="isLoadingCategories"
      [title]="t('feature_events.settings.your_interests')"
      [moduleInfo]="eventsModule"
      [storageKeyType]="storageKeyType.CATEGORY"
      [categoryText]="t('feature_events.settings.what_kind_of_events')"
      [items]="uniqueCategories"
      [skeletonCount]="34"
    ></lib-custom-settings-list>
  }
</ion-grid>
